import 'package:flutter/material.dart';

class GeneralConstants {
  static GeneralConstants? _instance;
  static GeneralConstants get instance => _instance ??= GeneralConstants._init();
  // static double get baseWidth => 360;
  // static Size get screenSize => WidgetsBinding.instance.window.physicalSize;
  // static double get fem => screenSize.width / baseWidth;
  // static double get ffem => fem * 0.97;
  // static EdgeInsets get padding => const EdgeInsets.all(10.0);
  GeneralConstants._init();
  static get(BuildContext context) {
    EdgeInsets padding = const EdgeInsets.all(10.0);
    double baseWidth = 360;
    double fem = MediaQuery.of(context).size.width / baseWidth;
    double ffem = fem * 0.97;
  }
  var padding5 = const EdgeInsets.all(5.0);
  var padding10 = const EdgeInsets.all(10.0);
  var padding15 = const EdgeInsets.all(15.0);
  var padding20 = const EdgeInsets.all(20.0);
  var paddingSymmetric5 = const EdgeInsets.symmetric(vertical:5.0 ,horizontal :2.0);
  var paddingSymmetric10 = const EdgeInsets.symmetric(vertical:10.0 ,horizontal :5.0);
  var paddingSymmetric20 = const EdgeInsets.symmetric(vertical:20.0 ,horizontal :10.0);
  var paddingSymmetricN5 = const EdgeInsets.symmetric(vertical:2.5 ,horizontal :5.0);
  var paddingSymmetricN10 = const EdgeInsets.symmetric(vertical:5.0 ,horizontal :10.0);
  var paddingSymmetricN20 = const EdgeInsets.symmetric(vertical:10.0 ,horizontal :20.0);
  var margin5 = const EdgeInsets.all(5.0);
  var margin10 = const EdgeInsets.all(10.0);
  var margin20 = const EdgeInsets.all(20.0);
  var marginSymmetric5 = const EdgeInsets.symmetric(vertical:5.0 ,horizontal :2.5);
  var marginSymmetric10 = const EdgeInsets.symmetric(vertical:10.0 ,horizontal :5.0);
  var marginSymmetric20 = const EdgeInsets.symmetric(vertical:20.0 ,horizontal :10.0);
  var marginSymmetricN5 = const EdgeInsets.symmetric(vertical:2.5 ,horizontal :5.0);
  var marginSymmetricN10 = const EdgeInsets.symmetric(vertical:5.0 ,horizontal :10.0);
  var marginSymmetricN20 = const EdgeInsets.symmetric(vertical:10.0 ,horizontal :20.0);
  var sizedBoxHeight5 = const SizedBox(height: 5);
  var sizedBoxHeight10 = const SizedBox(height: 10);
  var sizedBoxHeight20 = const SizedBox(height: 20);
  var sizedBoxWidth5 = const SizedBox(width: 5);
  var sizedBoxWidth10 = const SizedBox(width: 10);
  var sizedBoxWidth20 = const SizedBox(width: 20);
  var onBoardScreenShowedKey="onBoardScreenShowedKey";
}
